> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/content/upload/wisej.web.uploaderroreventargs.md).

# UploadErrorEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [Error](/api/wisej.web/content/upload.md#error) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class UploadErrorEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class UploadErrorEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) UploadErrorEventArgs(type, message, fileNames, fileSizes)

Initializes a new instance of the [UploadErrorEventArgs](/api/wisej.web/content/upload/wisej.web.uploaderroreventargs.md) class with the specified error message.

| Name          | Type                                                                          | Description                                                                                           |
| ------------- | ----------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------- |
| **type**      | [UploadErrorType](/api/wisej.web/content/upload/wisej.web.uploaderrortype.md) | The error type, one of [UploadErrorType](/api/wisej.web/content/upload/wisej.web.uploaderrortype.md). |
| **message**   | [String](https://docs.microsoft.com/dotnet/api/system.string)                 | The error message.                                                                                    |
| **fileNames** | [String\[\]](https://docs.microsoft.com/dotnet/api/system.string)             | The list of files that failed to upload.                                                              |
| **fileSizes** | [Int64\[\]](https://docs.microsoft.com/dotnet/api/system.int64)               | The list of files sizes that failed to upload.                                                        |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) ErrorType

[UploadErrorType](/api/wisej.web/content/upload/wisej.web.uploaderrortype.md): Returns the error type.

### ![](/files/hsR4ok3152WyAf8J2C1u) FileNames

[String\[\]](https://docs.microsoft.com/dotnet/api/system.string): List of file names that failed to upload.

### ![](/files/hsR4ok3152WyAf8J2C1u) FileSizes

[Int64\[\]](https://docs.microsoft.com/dotnet/api/system.int64): List of file sizes that failed to upload.

### ![](/files/hsR4ok3152WyAf8J2C1u) Message

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns the error message.

## Used By

| Name                                                                                          | Description                                                                                                                                               |
| --------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [UploadErrorEventHandler](/api/wisej.web/content/upload/wisej.web.uploaderroreventhandler.md) | Represents the method that will handle the [Error](/api/wisej.web/content/upload.md#error) event of a [Upload](/api/wisej.web/content/upload.md) control. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/content/upload/wisej.web.uploaderroreventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
